package gmodel

import (
	"gorm.io/gorm"
)

// fs_cloud_render_log 云渲染日志表
type FsCloudRenderLog struct {
	Id       int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` // ID
	UserId   *int64  `gorm:"default:0;" json:"user_id"`                       // 用户id
	GuestId  *int64  `gorm:"default:0;" json:"guest_id"`                      // 游客id
	PostData *string `gorm:"default:'';" json:"post_data"`                    //
	Ctime    *int64  `gorm:"default:0;" json:"ctime"`                         // 添加时间
}
type FsCloudRenderLogModel struct {
	db   *gorm.DB
	name string
}

func NewFsCloudRenderLogModel(db *gorm.DB) *FsCloudRenderLogModel {
	return &FsCloudRenderLogModel{db: db, name: "fs_cloud_render_log"}
}
